Skip to content
openlaunch
Esc
↑↓navigate↵open⌘Jpreview

List agent connections

List agent API connections in the owner’s workspace, including their access ceiling and lifetime. Stored credential secrets are omitted.

GET/v1/agent-connections
Authorization
AuthorizationBearer token (Clerk owner session) · headerrequired

Owner identity required.

Responses
200

Successful response

dataAgentConnection[]required
Show properties
Array of AgentConnection
idstring<uuid>required
principalstringrequired
namestringrequired
expiresAtinteger | nullrequired
revokedbooleanrequired
accessstringrequired
Allowed:readact
purposestring
Allowed:agentdevice-setupoauth
canAttachboolean
deviceLimitinteger
attachedDeviceCountinteger
oauthobject
Show properties
applicationIdstringrequired
clientIdstringrequired
redirectUrisstring<uri>[]required
publicbooleanrequired
400

Invalid request or validation failure

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
401

Missing or invalid credential

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
403

Insufficient access or grant

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
404

Resource not found

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
413

Request body exceeds the 16 KiB limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
429

Rate limit or workspace capacity limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
500

Internal error

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
503

Service or required integration is not configured

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
Try it
Server
Authorization
Request
curl -X GET 'https://www.openlaunch.dev/v1/agent-connections' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "principal": "string",
      "name": "string",
      "expiresAt": 0,
      "revoked": true,
      "access": "read",
      "purpose": "agent",
      "canAttach": true,
      "deviceLimit": 0,
      "attachedDeviceCount": 0,
      "oauth": {
        "applicationId": "string",
        "clientId": "string",
        "redirectUris": [
          "http://example.com"
        ],
        "public": true
      }
    }
  ]
}